package body MSHTML.HTMLFrameSiteEvents2_Object is

   function onhelp
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onhelp,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onhelp;

   function onclick
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onclick;

   function ondblclick
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondblclick,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondblclick;

   function onkeypress
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onkeypress,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeypress;

   procedure onkeydown
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onkeydown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeydown;

   procedure onkeyup
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onkeyup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onkeyup;

   procedure onmouseout
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmouseout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseout;

   procedure onmouseover
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmouseover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseover;

   procedure onmousemove
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmousemove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousemove;

   procedure onmousedown
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmousedown,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousedown;

   procedure onmouseup
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmouseup,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseup;

   function onselectstart
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onselectstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onselectstart;

   procedure onfilterchange
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onfilterchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfilterchange;

   function ondragstart
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondragstart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragstart;

   function onbeforeupdate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforeupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforeupdate;

   procedure onafterupdate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onafterupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onafterupdate;

   function onerrorupdate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onerrorupdate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onerrorupdate;

   function onrowexit
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onrowexit,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowexit;

   procedure onrowenter
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onrowenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowenter;

   procedure ondatasetchanged
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondatasetchanged,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondatasetchanged;

   procedure ondataavailable
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondataavailable,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondataavailable;

   procedure ondatasetcomplete
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondatasetcomplete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondatasetcomplete;

   procedure onlosecapture
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onlosecapture,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onlosecapture;

   procedure onpropertychange
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onpropertychange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpropertychange;

   procedure onscroll
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onscroll,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onscroll;

   procedure onfocus
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onfocus,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocus;

   procedure onblur
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onblur,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onblur;

   procedure onresize
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onresize,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresize;

   function ondrag
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondrag,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondrag;

   procedure ondragend
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondragend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragend;

   function ondragenter
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondragenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragenter;

   function ondragover
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondragover,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragover;

   procedure ondragleave
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondragleave,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondragleave;

   function ondrop
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_ondrop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondrop;

   function onbeforecut
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforecut,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforecut;

   function oncut
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_oncut,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncut;

   function onbeforecopy
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforecopy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforecopy;

   function oncopy
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_oncopy,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncopy;

   function onbeforepaste
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforepaste,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforepaste;

   function onpaste
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onpaste,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpaste;

   function oncontextmenu
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_oncontextmenu,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncontextmenu;

   procedure onrowsdelete
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onrowsdelete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowsdelete;

   procedure onrowsinserted
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onrowsinserted,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onrowsinserted;

   procedure oncellchange
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_oncellchange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncellchange;

   procedure onreadystatechange
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onreadystatechange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onreadystatechange;

   procedure onlayoutcomplete
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onlayoutcomplete,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onlayoutcomplete;

   procedure onpage
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onpage,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onpage;

   procedure onmouseenter
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmouseenter,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseenter;

   procedure onmouseleave
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmouseleave,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmouseleave;

   procedure onactivate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onactivate;

   procedure ondeactivate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_ondeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end ondeactivate;

   function onbeforedeactivate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforedeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforedeactivate;

   function onbeforeactivate
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onbeforeactivate,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onbeforeactivate;

   procedure onfocusin
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onfocusin,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocusin;

   procedure onfocusout
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onfocusout,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onfocusout;

   procedure onmove
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmove,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmove;

   function oncontrolselect
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_oncontrolselect,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end oncontrolselect;

   function onmovestart
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onmovestart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmovestart;

   procedure onmoveend
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onmoveend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmoveend;

   function onresizestart
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onresizestart,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresizestart;

   procedure onresizeend
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onresizeend,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onresizeend;

   function onmousewheel
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         HTMLFrameSiteEvents2_onmousewheel,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onmousewheel;

   procedure onload
     (This    : HTMLFrameSiteEvents2_Type;
      pEvtObj : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLFrameSiteEvents2_onload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pEvtObj),
         Free);
   end onload;

end MSHTML.HTMLFrameSiteEvents2_Object;

